Erlang 19.0

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Erlang 19.0

Bogdan Andu
Hello,
I have 2 OpenBSD amd64 machines 5.4. and 5.7 which I cannot upgrade them now
I want to compile erlang 19 on these machine and the compilation fails:
The compilation process is:1. apply successfully 6.0
ports/lang/erlang/19/patches to the standard tree2. autoreconf-2.693. gmake
.. and the error...=== Entering application hipe
gmake[3]: Entering directory `/home/andu/otp_src_19.0/lib/hipe/misc'
 ERLC   ../ebin/hipe_consttab.beam
erts_mmap: Failed to create super carrier of size 1024 MB
gmake[3]: *** [../ebin/hipe_consttab.beam] Error 1
gmake[3]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe/misc'
gmake[2]: *** [opt] Error 2
gmake[2]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe'
gmake[1]: *** [opt] Error 2
gmake[1]: Leaving directory `/home/andu/otp_src_19.0/lib'
gmake: *** [secondary_bootstrap_build] Error 2

This means mmap cannot allocate 1024 MB of memory?
I wanted to disable hipe but hipe is compiled regardless
if --disable-hipe switch is passed to configure or not
However I want this mmap test to pass because may be other
components use these features of mmap and I consider this a test by itself.

6.0 has erlang-19 so the compilation was successful.
what can I do to succesffully compile erlang-19 on 5.4 and 5.7 amd64?
Thank you,

Bogdan

Reply | Threaded
Open this post in threaded view
|

Re: Erlang 19.0

Raimo Niskanen-7
...and does not this question belong better at
erlang-questions(at)erlang(dot)org?

On Wed, Sep 21, 2016 at 08:25:54AM +0000, Bogdan Andu wrote:

> Hello,
> I have 2 OpenBSD amd64 machines 5.4. and 5.7 which I cannot upgrade them now
> I want to compile erlang 19 on these machine and the compilation fails:
> The compilation process is:1. apply successfully 6.0
> ports/lang/erlang/19/patches to the standard tree2. autoreconf-2.693. gmake
> .. and the error...=== Entering application hipe
> gmake[3]: Entering directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> ??ERLC???? ../ebin/hipe_consttab.beam
> erts_mmap: Failed to create super carrier of size 1024 MB
> gmake[3]: *** [../ebin/hipe_consttab.beam] Error 1
> gmake[3]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> gmake[2]: *** [opt] Error 2
> gmake[2]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe'
> gmake[1]: *** [opt] Error 2
> gmake[1]: Leaving directory `/home/andu/otp_src_19.0/lib'
> gmake: *** [secondary_bootstrap_build] Error 2
>
> This means mmap cannot allocate 1024 MB of memory?
> I wanted to disable hipe but hipe is compiled regardless
> if --disable-hipe switch is passed to configure or not
> However I want this mmap test to pass because may be other
> components use these features of mmap and I consider this a test by itself.
>
> 6.0 has erlang-19 so the compilation was successful.
> what can I do to succesffully compile erlang-19 on 5.4 and 5.7 amd64?
> Thank you,
>
> Bogdan

--

/ Raimo Niskanen, Erlang/OTP, Ericsson AB

Reply | Threaded
Open this post in threaded view
|

Re: Erlang 19.0

Raimo Niskanen-7
In reply to this post by Bogdan Andu
On Wed, Sep 21, 2016 at 08:25:54AM +0000, Bogdan Andu wrote:

> Hello,
> I have 2 OpenBSD amd64 machines 5.4. and 5.7 which I cannot upgrade them now
> I want to compile erlang 19 on these machine and the compilation fails:
> The compilation process is:1. apply successfully 6.0
> ports/lang/erlang/19/patches to the standard tree2. autoreconf-2.693. gmake
> .. and the error...=== Entering application hipe
> gmake[3]: Entering directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> ??ERLC???? ../ebin/hipe_consttab.beam
> erts_mmap: Failed to create super carrier of size 1024 MB
> gmake[3]: *** [../ebin/hipe_consttab.beam] Error 1
> gmake[3]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> gmake[2]: *** [opt] Error 2
> gmake[2]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe'
> gmake[1]: *** [opt] Error 2
> gmake[1]: Leaving directory `/home/andu/otp_src_19.0/lib'
> gmake: *** [secondary_bootstrap_build] Error 2
>
> This means mmap cannot allocate 1024 MB of memory?
> I wanted to disable hipe but hipe is compiled regardless
> if --disable-hipe switch is passed to configure or not

Yes. A few basic things from hipe is still compiled.

> However I want this mmap test to pass because may be other
> components use these features of mmap and I consider this a test by itself.

I guess you need to increase datasize in /etc/login.conf for the compiling
user and that you simply run out of memory when compiling.

>
> 6.0 has erlang-19 so the compilation was successful.
> what can I do to succesffully compile erlang-19 on 5.4 and 5.7 amd64?
> Thank you,
>
> Bogdan

--

/ Raimo Niskanen, Erlang/OTP, Ericsson AB

Reply | Threaded
Open this post in threaded view
|

Re: Erlang 19.0

Bogdan Andu
In reply to this post by Raimo Niskanen-7
Yes , it would, but searching through archives and commentsthe problem remained unsolved regarding --disable-hipe switch
mmap problem does not appear on centos 7 / 64 and on OpenBSD 6.0so I figured out there might be a tweak to let mmap pass that test
 

    On Wednesday, September 21, 2016 1:09 PM, Raimo Niskanen <[hidden email]> wrote:
 

 ...and does not this question belong better at
erlang-questions(at)erlang(dot)org?

On Wed, Sep 21, 2016 at 08:25:54AM +0000, Bogdan Andu wrote:

> Hello,
> I have 2 OpenBSD amd64 machines 5.4. and 5.7 which I cannot upgrade them now
> I want to compile erlang 19 on these machine and the compilation fails:
> The compilation process is:1. apply successfully 6.0
> ports/lang/erlang/19/patches to the standard tree2. autoreconf-2.693. gmake
> .. and the error...=== Entering application hipe
> gmake[3]: Entering directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> ??ERLC???? ../ebin/hipe_consttab.beam
> erts_mmap: Failed to create super carrier of size 1024 MB
> gmake[3]: *** [../ebin/hipe_consttab.beam] Error 1
> gmake[3]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> gmake[2]: *** [opt] Error 2
> gmake[2]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe'
> gmake[1]: *** [opt] Error 2
> gmake[1]: Leaving directory `/home/andu/otp_src_19.0/lib'
> gmake: *** [secondary_bootstrap_build] Error 2
>
> This means mmap cannot allocate 1024 MB of memory?
> I wanted to disable hipe but hipe is compiled regardless
> if --disable-hipe switch is passed to configure or not
> However I want this mmap test to pass because may be other
> components use these features of mmap and I consider this a test by itself.
>
> 6.0 has erlang-19 so the compilation was successful.
> what can I do to succesffully compile erlang-19 on 5.4 and 5.7 amd64?
> Thank you,
>
> Bogdan

--

/ Raimo Niskanen, Erlang/OTP, Ericsson AB

Reply | Threaded
Open this post in threaded view
|

Re: Erlang 19.0

Bogdan Andu
In reply to this post by Raimo Niskanen-7
yes..
funny thing is the unpriv user the daemon runs under has data size ~ 2GB
but I totally forgot about ulimit stuff.
it compiled ok until I hit another compilation error:
gmake[3]: Entering directory `/home/andu/otp_src_19.0/lib/diameter/src'
 ERLC   ../ebin/diameter.beam
 ERLC   ../ebin/diameter_app.beam
 ERLC   ../ebin/diameter_callback.beam
 ERLC   ../ebin/diameter_capx.beam
 ERLC   ../ebin/diameter_config.beam
 ERLC   ../ebin/diameter_config_sup.beam
 ERLC   ../ebin/diameter_codec.beam
 ERLC   ../ebin/diameter_dict.beam
 ERLC   ../ebin/diameter_lib.beam
 ERLC   ../ebin/diameter_misc_sup.beam
 ERLC   ../ebin/diameter_peer.beam
 ERLC   ../ebin/diameter_peer_fsm.beam
 ERLC   ../ebin/diameter_peer_fsm_sup.beam
 ERLC   ../ebin/diameter_reg.beam
 ERLC   ../ebin/diameter_service.beam
 ERLC   ../ebin/diameter_service_sup.beam
 ERLC   ../ebin/diameter_session.beam
 ERLC   ../ebin/diameter_stats.beam
 ERLC   ../ebin/diameter_sup.beam
 ERLC   ../ebin/diameter_sync.beam
 ERLC   ../ebin/diameter_traffic.beam
 ERLC   ../ebin/diameter_types.beam
 ERLC   ../ebin/diameter_watchdog.beam
 ERLC   ../ebin/diameter_watchdog_sup.beam
 ERLC   ../ebin/diameter_etcp.beam
 ERLC   ../ebin/diameter_etcp_sup.beam
 ERLC   ../ebin/diameter_tcp.beam
 ERLC   ../ebin/diameter_tcp_sup.beam
 ERLC   ../ebin/diameter_sctp.beam
 ERLC   ../ebin/diameter_sctp_sup.beam
 ERLC   ../ebin/diameter_transport.beam
 ERLC   ../ebin/diameter_transport_sup.beam
 ERLC   ../ebin/diameter_codegen.beam
 ERLC   ../ebin/diameter_exprecs.beam
 ERLC   ../ebin/diameter_dict_scanner.beam
 ERLC   ../ebin/diameter_dict_util.beam
 ERLC   ../ebin/diameter_make.beam
 YECC   gen/diameter_dict_parser.erl
 ERLC   ../ebin/diameter_dict_parser.beam
 DIA    gen/diameter_gen_base_rfc3588.erl
escript: Error 2 executing 'erl${MAJ_V}'.
gmake[3]: *** [gen/diameter_gen_base_rfc3588.erl] Error 1
gmake[3]: Leaving directory `/home/andu/otp_src_19.0/lib/diameter/src'
gmake[2]: *** [opt] Error 2
gmake[2]: Leaving directory `/home/andu/otp_src_19.0/lib/diameter'
gmake[1]: *** [opt] Error 2
gmake[1]: Leaving directory `/home/andu/otp_src_19.0/lib'
gmake: *** [libs] Error 2

this error really puzzles me
currently I have Erlang 17 installed on the system.would be that an issue?

is somehow invoked escript version 17 instead of 19?


    On Wednesday, September 21, 2016 2:06 PM, Raimo Niskanen
<[hidden email]> wrote:


 On Wed, Sep 21, 2016 at 08:25:54AM +0000, Bogdan Andu wrote:
> Hello,
> I have 2 OpenBSD amd64 machines 5.4. and 5.7 which I cannot upgrade them
now

> I want to compile erlang 19 on these machine and the compilation fails:
> The compilation process is:1. apply successfully 6.0
> ports/lang/erlang/19/patches to the standard tree2. autoreconf-2.693. gmake
> .. and the error...=== Entering application hipe
> gmake[3]: Entering directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> ??ERLC???? ../ebin/hipe_consttab.beam
> erts_mmap: Failed to create super carrier of size 1024 MB
> gmake[3]: *** [../ebin/hipe_consttab.beam] Error 1
> gmake[3]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe/misc'
> gmake[2]: *** [opt] Error 2
> gmake[2]: Leaving directory `/home/andu/otp_src_19.0/lib/hipe'
> gmake[1]: *** [opt] Error 2
> gmake[1]: Leaving directory `/home/andu/otp_src_19.0/lib'
> gmake: *** [secondary_bootstrap_build] Error 2
>
> This means mmap cannot allocate 1024 MB of memory?
> I wanted to disable hipe but hipe is compiled regardless
> if --disable-hipe switch is passed to configure or not

Yes. A few basic things from hipe is still compiled.

> However I want this mmap test to pass because may be other
> components use these features of mmap and I consider this a test by itself.

I guess you need to increase datasize in /etc/login.conf for the compiling
user and that you simply run out of memory when compiling.

>
> 6.0 has erlang-19 so the compilation was successful.
> what can I do to succesffully compile erlang-19 on 5.4 and 5.7 amd64?
> Thank you,
>
> Bogdan

--

/ Raimo Niskanen, Erlang/OTP, Ericsson AB